<?php load_theme_textdomain('blank'); ?>
<?php include("includes/ads.php"); ?>
<?php include("includes/custom-comments.php"); ?>
<?php include("includes/custom-pings.php"); ?>
<?php include("includes/truncate.php"); ?>
<?php add_filter('dynamic_sidebar_params','custom_widget_counter');

function custom_widget_counter($params) {

	global $my_widget_num;

	$my_widget_num++;
	$class = 'class="widget';

	//if($my_widget_num % 2) :
	//	$class .= 'widget-even ';
	//	$class .= 'widget-alt ';
	//else :
	//	$class .= 'widget-odd ';
	//endif;

	$params[0]['before_widget'] = str_replace('class="', $class, $params[0]['before_widget']);
	
	return $params;
}
?>
<?php if ( function_exists('register_sidebars') )
register_sidebars(2, array(
'name'=>'Sidebar %d',
'before_widget' => '
<div id="%1$s2" class=" %2$s">
',
'after_widget' => '
</div>
</div>
',
'before_title' => '
<h3 class="widgettitle">',
'after_title' => '</h3>
<div class="widget-bg">
',
));
?>
<?php 
$themename = "Theme";
$shortname = "theme";
$options = array (
 
array( "name" => "Advertising",
	"type" => "title"),
 
array( "type" => "open"), 

array( "name" => "ad 1 image",
	"desc" => "absolute path to the ad image(http://www.yoursite.com/images/ad.gif)",
	"id" => $shortname."_ad1_img",
	"type" => "text",
    "std" => "http://s3.buysellads.com/1235756/031f3cd92ea125bdd893c123a969433b-1242968556.gif"),

array( "name" => "ad 1 link",
	"desc" => "link for the 1st ad(topleft)",
	"id" => $shortname."_ad1_link",
	"type" => "text",
    "std" => "http://www.desiredthemes.com"),
	
array( "name" => "ad 2 image",
	"desc" => "absolute path to the ad image(http://www.yoursite.com/images/ad.gif)",
	"id" => $shortname."_ad2_img",
	"type" => "text",
    "std" => "http://themeforest.net/new/images/ms_referral_banners/TF_125x125.jpg"),

array( "name" => "ad 2 link",
	"desc" => "link for the 2nd ad(topright)",
	"id" => $shortname."_ad2_link",
	"type" => "text",
    "std" => "http://themeforest.net?ref=templateup"),
	
array( "name" => "ad 3 image",
	"desc" => "absolute path to the ad image(http://www.yoursite.com/images/ad.gif)",
	"id" => $shortname."_ad3_img",
	"type" => "text",
    "std" => "http://themeforest.net/new/images/ms_referral_banners/GR_125x125.jpg"),

array( "name" => "ad 3 link",
	"desc" => "link for the 3rd ad(bottomleft)",
	"id" => $shortname."_ad3_link",
	"type" => "text",
    "std" => "http://graphicriver.net?ref=templateup"),
	
array( "name" => "ad 4 image",
	"desc" => "absolute path to the ad image(http://www.yoursite.com/images/ad.gif)",
	"id" => $shortname."_ad4_img",
	"type" => "text",
    "std" => "/images/125ad.gif"),

array( "name" => "ad 4 link",
	"desc" => "link for the 4th ad(bottomright)",
	"id" => $shortname."_ad4_link",
	"type" => "text",
    "std" => "#"),

array( "type" => "close"),

array( "name" => "Thumbnails",
	"type" => "title"),
 
array( "type" => "open"),

array( "name" => "post thumbnails",
	"desc" => "would you like thumbnails for posts enabled? custom field for thumbnails = 'post_img'",
	"id" => $shortname."_thumbnails",
    "type" => "select",
    "std" => "Enabled",
    "options" => array("Enabled", "Disabled")),


array( "type" => "close")
);
?>
<?php 
function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "Current Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сохранены.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сброшены.</strong></p></div>';
    
?>
<div class="wrap">
<h2>Настройки темы <?php echo $themename; ?></h2>
 
<form method="post">
 
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
 
case "open":
?>
<table width="100%" border="0" style="background-color:#cce7f0; padding:10px;">
 
<?php break;
 
case "close":
?>
 
</table><br />
 
<?php break;
 
case "title":
?>
<table width="100%" border="0" style="background-color:#84c4d8; padding:5px 10px;"><tr>
<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>
</tr>
 
<?php break;
 
case 'text':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><input style="width:400px; border: 1px solid #84c4d8;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case 'textarea':
?>
 
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:200px; border: 1px solid #84c4d8;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>
 
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case 'select':
?>
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><select style="width:240px; border: 1px solid #84c4d8;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php
break;
 
case "checkbox":
?>
<tr>
<td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
<td width="80%"><?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
</td>
</tr>
 
<tr>
<td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
 
<?php break;
 
}
}
?>
<p class="submit">
<input name="save" type="submit" value="Сохранить" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
add_action('admin_menu', 'mytheme_add_admin');
?>